PostGIS dependency CharLS was retired in EPEL

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

PostGIS dependency CharLS was retired in EPEL

John Harvey
Hi folks,

I was building postgis 2.2.3 today, when things broke strangely during dependency processing:  "No package CharLS available".

I did some research, and apparently this dependent library was orphaned today, with this message:
2016-10-19: Retired orphaned package, because it was orphaned for
more than six weeks.

You can see that info here as well:

So, one of postgis's dependencies is no longer in EPEL.
I checked on the #epel channel in Freenode, and they had this to say:
"If you're a Fedora packager, you can request that you become the maintainer of that package and that it be un-retired.  It was just retired today so that can be undone easily.  But of course it can only be undone if someone actually wants to maintain it."

So... I'm not really sure what to do here.  I can build CharLS myself, but that sounds like a big ask for anyone using PostGIS on EL6.  It's probably worth asking if anyone wants to stand up and maintain the CharLS package on EL6?  Or, could the CharLS dependency be removed?

Thanks!
  -John

_______________________________________________
postgis-devel mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/postgis-devel
Reply | Threaded
Open this post in threaded view
|

Re: PostGIS dependency CharLS was retired in EPEL

Even Rouault-2
Hi,

I suspect the issue is rather with GDAL. CharLS is an optional (and not very
popular as far as I know) dependency of GDAL. GDAL can certainly be rebuilt
without it.

Even

> Hi folks,
>
> I was building postgis 2.2.3 today, when things broke strangely during
> dependency processing:  "No package CharLS available".
>
> I did some research, and apparently this dependent library was orphaned
> today, with this message:
> 2016-10-19: Retired orphaned package, because it was orphaned for
> more than six weeks.
>
> You can see that info here as well:
> http://pkgs.fedoraproject.org/cgit/rpms/CharLS.git/
>
> So, one of postgis's dependencies is no longer in EPEL.
> I checked on the #epel channel in Freenode, and they had this to say:
> "If you're a Fedora packager, you can request that you become the
> maintainer of that package and that it be un-retired.  It was just retired
> today so that can be undone easily.  But of course it can only be undone if
> someone actually wants to maintain it."
>
> So... I'm not really sure what to do here.  I can build CharLS myself, but
> that sounds like a big ask for anyone using PostGIS on EL6.  It's probably
> worth asking if anyone wants to stand up and maintain the CharLS package on
> EL6?  Or, could the CharLS dependency be removed?
>
> Thanks!
>   -John

--
Spatialys - Geospatial professional services
http://www.spatialys.com
_______________________________________________
postgis-devel mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/postgis-devel
Reply | Threaded
Open this post in threaded view
|

Re: PostGIS dependency CharLS was retired in EPEL

Devrim GÜNDÜZ-2
In reply to this post by John Harvey

Hi John,

Thank you for the heads up. I am in touch with tibbs on #epel. I am a
provenpackager on Fedora, so I should be able to take over the package quickly.

I'll keep you updated.

Regards, Devrim

On Wed, 2016-10-19 at 16:35 -0400, John Harvey wrote:

> Hi folks,
>
> I was building postgis 2.2.3 today, when things broke strangely during
> dependency processing:  "No package CharLS available".
>
> I did some research, and apparently this dependent library was orphaned
> today, with this message:
> 2016-10-19: Retired orphaned package, because it was orphaned for
> more than six weeks.
>
> You can see that info here as well:
> http://pkgs.fedoraproject.org/cgit/rpms/CharLS.git/
>
> So, one of postgis's dependencies is no longer in EPEL.
> I checked on the #epel channel in Freenode, and they had this to say:
> "If you're a Fedora packager, you can request that you become the
> maintainer of that package and that it be un-retired.  It was just retired
> today so that can be undone easily.  But of course it can only be undone if
> someone actually wants to maintain it."
>
> So... I'm not really sure what to do here.  I can build CharLS myself, but
> that sounds like a big ask for anyone using PostGIS on EL6.  It's probably
> worth asking if anyone wants to stand up and maintain the CharLS package on
> EL6?  Or, could the CharLS dependency be removed?
>
> Thanks!
>   -John
> _______________________________________________
> postgis-devel mailing list
> [hidden email]
> http://lists.osgeo.org/mailman/listinfo/postgis-devel
--
Devrim GÜNDÜZ
EnterpriseDB: http://www.enterprisedb.com
PostgreSQL Danışmanı/Consultant, Red Hat Certified Engineer
Twitter: @DevrimGunduz , @DevrimGunduzTR

_______________________________________________
postgis-devel mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/postgis-devel

signature.asc (836 bytes) Download Attachment